> ## Documentation Index
> Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Download execution media



## OpenAPI

````yaml /openapi/task-service.yaml get /api/v1/executions/{id}/media/{media_id}/download
openapi: 3.0.3
info:
  title: Titan Task Service API
  description: Tasks, executions, templates, datasets, results, and media CDN.
  version: '1.0'
servers:
  - url: https://api.webscraping.titannet.io
    description: Production
security: []
tags:
  - name: Tasks
  - name: Executions
  - name: Templates
  - name: Media
paths:
  /api/v1/executions/{id}/media/{media_id}/download:
    get:
      tags:
        - Executions
      summary: Download execution media
      operationId: getExecutionMediaDownload
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: media_id
          in: path
          required: true
          schema:
            type: string
        - name: use_cdn
          in: query
          description: Pass true or 1 to redirect to signed CDN URL
          schema:
            type: string
      responses:
        '200':
          description: Direct download
        '302':
          description: Redirect when use_cdn
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````